#!/bin/bash


set -e

#juju set-constraints tags=

#export JUJU_REPOSITORY=/home/ubuntu/charms
#export LAYER_PATH=/home/ubuntu/charms/layers
#export INTERFACE_PATH=/home/ubuntu/charms/interfaces

juju deploy  epic_multi_bundle.yaml --debug

sleep 60

# Checking status before launching OVS

ems_status=`juju status --format tabular | grep ems/ | awk '{print $2 }'`
fabric_status=`juju status --format tabular | grep fabric/ | awk '{print $2 }'`
hss_status=`juju status --format tabular | grep hss/ | awk '{print $2 }'`
mme_status=`juju status --format tabular | grep mme/ | awk '{print $2 }'`
pcrf_status=`juju status --format tabular | grep pcrf/ | awk '{print $2 }'`
pgw_status=`juju status --format tabular | grep pgw/ | awk '{print $2 }'`
sgw_status=`juju status --format tabular | grep sgw/ | awk '{print $2 }'`

while [ $ems_status != "active"  ] || [ $fabric_status != "active" ] || [ $hss_status != "active" ]  || [ $mme_status != "active" ]|| [ $pcrf_status != "active" ] || [ $pgw_status != "active" ]  || [ $sgw_status != "active" ]; do
ems_status=`juju status --format tabular | grep ems/ | awk '{print $2 }'`
fabric_status=`juju status --format tabular | grep fabric/ | awk '{print $2 }'`
hss_status=`juju status --format tabular | grep hss/ | awk '{print $2 }'`
mme_status=`juju status --format tabular | grep mme/ | awk '{print $2 }'`
pcrf_status=`juju status --format tabular | grep pcrf/ | awk '{print $2 }'`
pgw_status=`juju status --format tabular | grep pgw/ | awk '{print $2 }'`
sgw_status=`juju status --format tabular | grep sgw/ | awk '{print $2 }'`

echo "Waiting for nodes to become active"

done

echo "All nodes are a active, ready for configuration"


#OVS Installation and Docker ports connection

     sdn_machine=`juju status --format tabular | grep ems/ | awk '{print $5 }'`
     sdn_host=`juju status --format tabular | grep ems/ | awk '{print $6 }' | nslookup | awk ' FNR == 5 {print $2 }'`
     echo ${sdn_machine} 

     juju scp setup-ovs.sh ${sdn_machine}:/home/ubuntu
     juju run --machine ${sdn_machine} "chmod 777 /home/ubuntu/setup-ovs.sh"
#     juju run --machine ${sdn_machine} "./setup-ovs.sh"
#     sleep 15
#     juju run --machine ${sdn_machine} "docker ps"
#     juju run --machine ${sdn_machine} "hostname"

#     echo "EMS GUI at https://${sdn_host}:4430/"

