#!/bin/bash
#
#    orange-box-configure-openstack
#    Copyright (C) 2016 Canonical Ltd.
#
#    Authors: Scott Croft
#    Updates:
#     (1) 10/16/2016 Fatih E. Nar
#         Added Multi-Selective Choice Option for Different Bundles
#         NOTE: Make Sure your MaaS has correctly tagged Server Network Interfaces as ETH0 & ETH1.
#               If MaaS Fails to do so rename interfaces on each node manually. 
#               This is essential for OVS Bridge Mappings to Work!
#
#

model=`juju list-models |awk '{print $1}'|grep openstack`
#Ask for Openstack Release Choice
echo "Available Openstack Releases:"
echo "(1) -> Trusty Liberty Base"
echo "(2) -> Xenial Mitaka Base with KVM & NC-LXD"
echo "(3) -> Xenial Mitaka with CEPH Dashboard"
echo "(4) -> Xenial Newton with KVM and NC-LXD"
echo "(5) -> Xenial Newton with KVM and NC-LXD + Monitoring with Ceilometer & Nagios"
echo "(6) -> Xenial Newton HA with Landscape Client for Nova Nodes"
echo "Enter Your Choice: "
read -n 2 r
if [ "$r" = "1" ] ; then
	if [[ ${model:0:9} == "openstack" ]]; then
     		echo "openstack model exists and reusing it for Liberty Release!"
     		juju switch openstack
     		juju deploy openstack-liberty.yaml
	else
     		echo "openstack model does NOT exist and creating it for Liberty Release!"
     		juju add-model openstack
     		juju switch openstack
     		juju deploy openstack-liberty.yaml
        fi
elif [ "$r" = "2" ] ; then
        if [[ ${model:0:9} == "openstack" ]]; then
                echo "openstack model exists and reusing it for Latest Xenial Base Bundle with KVM & NC-LXD!"
                juju switch openstack
                juju deploy openstack-mitaka.yaml
        else
                echo "openstack model does NOT exist and creating it for Latest Xenial Base Bundle with KVM & NC-LXD!"
                juju add-model openstack
                juju switch openstack
                juju deploy openstack-mitaka.yaml
	fi
elif [ "$r" = "3" ] ; then
        if [[ ${model:0:9} == "openstack" ]]; then
                echo "openstack model exists and reusing it for Latest Xenial Base Bundle with CEPH Dashboard!"
                juju switch openstack
                juju deploy openstack-mitaka-cephd.yaml
                juju config ceph-dash repository='deb https://username:password@private-ppa.launchpad.net/canonical-storage/admin-ceph/ubuntu xenial main'
                juju config ceph-collector repository='deb https://username:password@private-ppa.launchpad.net/canonical-storage/admin-ceph/ubuntu xenial main'
        else
                echo "openstack model does NOT exist and creating it for Latest Xenial Base Bundle with CEPH Dashboard!"
                juju add-model openstack
                juju switch openstack
                juju deploy openstack-mitaka-cephd.yaml
                juju config ceph-dash repository='deb https://username:password@private-ppa.launchpad.net/canonical-storage/admin-ceph/ubuntu xenial main'
                juju config ceph-collector repository='deb https://username:password@private-ppa.launchpad.net/canonical-storage/admin-ceph/ubuntu xenial main'
        fi
elif [ "$r" = "4" ] ; then
        if [[ ${model:0:9} == "openstack" ]]; then
                echo "openstack model exists and reusing it for Latest Xenial Newton!"
                juju switch openstack
                juju deploy openstack-newton.yaml
        else
                echo "openstack model does NOT exist and creating it for Latest Xenial Newton!"
                juju add-model openstack
                juju switch openstack
                juju deploy openstack-newton.yaml
        fi
elif [ "$r" = "5" ] ; then
        if [[ ${model:0:9} == "openstack" ]]; then
                echo "openstack model exists and reusing it for Xenial Newton + Monitoring with Ceilometer & Nagios!"
                juju switch openstack
                juju deploy openstack-newton-monitoring.yaml
        else
                echo "openstack model does NOT exist and creating it for Xenial Newton + Monitoring with Ceilometer & Nagios!"
                juju add-model openstack
                juju switch openstack
                juju deploy openstack-newton-monitoring.yaml
        fi
elif [ "$r" = "6" ] ; then
        if [[ ${model:0:9} == "openstack" ]]; then
                echo "openstack model exists and reusing it for Xenial Newton HA with LDC!"
                juju switch openstack
                juju deploy openstack-newton-ha-ldc.yaml
        else
                echo "openstack model does NOT exist and creating it for Xenial Newton HA with LDC!"
                juju add-model openstack
                juju switch openstack
                juju deploy openstack-newton-ha-ldc.yaml
        fi
else
	echo "Incorrect Release Selection!"
        exit
fi
echo "Login to the juju-gui to see status or use juju status"
juju gui --no-browser --show-credentials
